module 'io.std' {
   read(C) :-
      'kernel':stdio_read(C).

   write(C) :-
      'kernel':stdio_write(C).

   endline :-
      'kernel':stdio_endline.

   flush :-
      'kernel':stdio_flush.

   format(Format, Args) :-
      'kernel':stdio_format(Format, Args).

   print(Term) :-
      'kernel':stdio_print(Term).

   print_endline(Term) :-
      'kernel':stdio_print_endline(Term).
}
